@echo Test of construction tool, if everything exists...
@set TEMPRET=%CD%
@set TEMPX6=%TEMPRET%\bin\fgfs-construct.exe
@set TEMPD=test
@set TEMPW1=work
@REM sub-directories of WORK...
@set TEMPW2=SRTM-3
@set TEMPW3=AirportArea
@set TEMPW4=AirportObj
@set TEMPMILON=150
@set TEMPMXLON=154
@set TEMPMILAT=-37
@set TEMPMXLAT=-30
@REM Constuct requires a width
@set TEMPX=4
@set TEMPY=7
@set TEMPRANGE=--min-lon=%TEMPMILON% --max-lon=%TEMPMXLON% --min-lat=%TEMPMILAT% --max-lat=%TEMPMXLAT%
@set TEMPVML=LandMass Cities Towns Crops Forest Freeways Roads Railroads Lakes PolarIce Rivers
@set TEMPCHUNK=e150s40
@set TEMPS1=Scenery
@set TEMPS2=Terrain
@set TEMPOUT=%TEMPS1%\%TEMPS2%
@set TEMPDIR=%TEMPOUT%\%TEMPCHUNK%
@set TEMPCRNG=--lon=%TEMPMXLON% --lat=%TEMPMXLAT% --xdist=%TEMPX% --ydist=%TEMPY%

cd %TEMPRET%

@REM TESTING EXISTANCE
@if NOT EXIST %TEMPX6% goto NOX6
@if NOT EXIST %TEMPD%\. goto NOTEST
@if NOT EXIST %TEMPD%\%TEMPW1%\. goto NOWORK
@if NOT EXIST %TEMPD%\%TEMPW1%\%TEMPW2%\. goto NOWORK2
@if NOT EXIST %TEMPD%\%TEMPW1%\%TEMPW3%\. goto NOWORK3
@if NOT EXIST %TEMPD%\%TEMPW1%\%TEMPW4%\. goto NOWORK4
@for %%i in (%TEMPVML%) do @(call :DOCHECK %%i)
@echo ......... *** Congratulations *** .......
@echo All tools and directories appears in order... continue?
cd %TEMPD%

@echo Will create %TEMPOUT%\%TEMPCHUNK%
@if EXIST %TEMPOUT%\%TEMPCHUNK%\. goto DOCON1
@echo Note this can take a LONG time... be patient... Ctrl+C to abort (at any time)
@pause
:DOCON1
@if NOT EXIST %TEMPS1%\. mkdir %TEMPS1%
@if NOT EXIST %TEMPS1%\. goto NOS1
@if NOT EXIST %TEMPOUT%\. mkdir %TEMPOUT%
@if NOT EXIST %TEMPOUT%\. goto NOS2
@REM if NOT EXIST %TEMPS1%\%TEMPS2%\. mkdir %TEMPS1%\%TEMPS2%
@REM if NOT EXIST %TEMPS1%\%TEMPS2%\. goto NOS2 
@if NOT EXIST %TEMPOUT%\%TEMPCHUNK%\. goto DOCONST
@echo Directory %TEMPOUT%\%TEMPCHUNK% already exists...
@echo Delete the %TEMPCHUNK% folder to redo scenery construction...
@goto DONESCENE
:DOCONST
@echo Doing construction ...
@REM fgfs-construct.exe --work-dir=./work --output-dir=./output --lon=55 --lat=60 --xdist=3 --ydist=3 \
@REM AirportArea SRTM-30 AirportObj Stream Bog IrrCropPastureCover Town Lake Urban Landmass Railroad \
@REM DryCropPastureCover Road EvergreenBroadCover Marsh Sand MixedCropPastureCover ScrubCover GrassCover \
@REM MixedForestCover

@REM --work-dir=work --output-dir=output --lon=154 --lat=-30 --xdist=4 --ydist=7 AirportArea SRTM-3 AirportObj LandMass Cities Towns Crops Forest Freeways Roads Railroads Lakes PolarIce Rivers
@echo --work-dir=%TEMPW1% --output-dir=%TEMPOUT% --lon=%TEMPMXLON% --lat=%TEMPMXLAT% --xdist=%TEMPX% --ydist=%TEMPY% %TEMPW3% %TEMPW2% %TEMPW4% %TEMPVML%
%TEMPX6% --work-dir=%TEMPW1% --output-dir=%TEMPOUT% --lon=%TEMPMXLON% --lat=%TEMPMXLAT% --xdist=%TEMPX% --ydist=%TEMPY% %TEMPW3% %TEMPW2% %TEMPW4% %TEMPVML%

@if NOT EXIST %TEMPOUT%\%TEMPCHUNK%\. goto NOCHUNK
:DONESCENE
@echo Done scenery construction in %TEMPOUT%\%TEMPCHUNK%
@echo Continue, and copy %TEMPW4% to the above, to fill in the Airport data?
@pause
@cd %TEMPOUT%\%TEMPCHUNK%
@echo Copying the Airport scenery into Terrain...
xcopy /S %TEMPRET%\%TEMPD%\%TEMPW1%\%TEMPW4%\%TEMPCHUNK%\*.* .
@echo All done ...
@echo run Flightgear setting FG_SCENERY environment, or using fg-scenery=
@echo %TEMPRET%\%TEMPD%\%TEMPS1%
@pause
@goto END

:DOCHECK
@set TEMPVM2=%1
@if "%TEMPVM2%x" == "x" goto :EOF
@if NOT EXIST %TEMPD%\%TEMPW1%\%TEMPVM2%\. goto NOVM2
@goto :EOF

:NOCHUNK
@echo ERROR: Directory %TEMPOUT%\%TEMPCHUNK% not created by fgfs-construct...
@echo Do not know the problem, but can only abort...
@goto ERREND

:NOVM2
@echo ERROR: Can NOT locate %TEMPD%\%TEMPW1%\%TEMPVM2% directory...
@goto CHKFIX

:NOS1
@echo ERROR: FAILED to CREATE [%TEMPS1%] directory...
@goto ERRDIR

:NOS2
@echo ERROR: FAILED to CREATE [%TEMPS1%\%TEMPS2%] directory...
@goto ERRDIR

:NOWORK4
@echo ERROR: Can NOT locate %TEMPD%\%TEMPW1%\%TEMPW4% directory...
@goto CHKFIX

:NOWORK3
@echo ERROR: Can NOT locate %TEMPD%\%TEMPW1%\%TEMPW3% directory...
@goto CHKFIX

:NOWORK2
@echo ERROR: Can NOT locate %TEMPD%\%TEMPW1%\%TEMPW2% directory...
@goto CHKFIX

:NOWORK
@echo ERROR: Can NOT locate the %TEMPW1% directory...
@goto CHKFIX

:NOTEST
@echo ERROR: Can NOT locate the %TEMPD% directory...
@goto CHKFIX

:NOX6
@echo ERROR: Can NOT locate the fgfs-construct tool...
@echo %TEMPX6%
@goto CHKFIX

:ERRDIR
@echo  Perhaps there is a file in the way... not writable media... unknown reason...
@goto ERREND

:CHKFIX
@echo Check name, location, and fix...
:ERREND
@echo Got critial ERROR. Aborting processing ...
:END
cd %TEMPRET%
